function [jacobs,jacobs_sym,loop_eqn,jacob_eqn] = findJacobians(robot,foot_pos,T_g1_s,T_g2_s,H)
%Find jacobians for each leg
syms phi_s psi_s
for i=1:length(robot.leg_posn)
    jw = [T_g1_s(:,:,i)*[0;0;1;0] T_g2_s(:,:,i)*[0;0;1;0]];
    jw = jw(1:3,:);
    jv = jacobian(foot_pos(:,i),[phi_s psi_s]);
    jv = jv(1:3,:);
    jacobs_sym(:,:,i) = [jv;jw];
    jacobs(:,:,i)=subs([jv;jw],{phi_s psi_s},{robot.leg_angles(i,1)*pi/180,robot.leg_angles(i,2)*pi/180});
end

loops = 0;
for i=1:size(robot.leg_posn,1)-1
    loops = loops + i;
end


syms phi1_s phi2_s phi3_s phi4_s phi5_s phi6_s
syms psi1_s psi2_s psi3_s psi4_s psi5_s psi6_s

phimat=transpose([phi1_s phi2_s phi3_s phi4_s phi5_s phi6_s]);
psimat=transpose([psi1_s psi2_s psi3_s psi4_s psi5_s psi6_s]);

sizer=size(H*jacobs(:,:,1));
jacob_eqn = zeros(loops*sizer(1),length(robot.leg_posn)*sizer(2));
count = 0;
for i=1:length(robot.leg_posn)
    for j=i+1:length(robot.leg_posn)
        a=robot.cg'-subs(foot_pos(1:3,i),{phi_s,psi_s},{phimat(i),psimat(i)});
        b=subs(foot_pos(1:3,j),{phi_s,psi_s},{robot.leg_angles(j,1)*pi/180,robot.leg_angles(j,2)*pi/180})-subs(foot_pos(1:3,i),{phi_s,psi_s},{robot.leg_angles(i,1)*pi/180,robot.leg_angles(i,2)*pi/180});
        c=robot.cg'-subs(foot_pos(1:3,j),{phi_s,psi_s},{phimat(j),psimat(j)});
        loop_eqn(:,count+1)=b+c-a;
        jacob_eqn(count*sizer(1)+1:(count+1)*sizer(1),(i-1)*sizer(2)+1:i*sizer(2))=H*jacobs(:,:,i);
        jacob_eqn(count*sizer(1)+1:(count+1)*sizer(1),(j-1)*sizer(2)+1:j*sizer(2))=-H*jacobs(:,:,j);
        count=count+1;
    end
end
    

