function [Vs,Ds]=robotWithEllipsesComplianceOnly(robot,wgT,wTr,T_w1,T_w2,foot_pos,feet,gCeff,g_foot_pos,gfRmod,gPgf)
% PLOTS SCALED STIFFNESS
% 03spe04 - added capability of plotting modified foot/ground system @ foot
% and location of ankle

syms phi_s psi_s;

drawGroundPlane(robot,wgT);
drawRobot(robot,wTr,T_w1,T_w2,0.5);

for i=1:size(robot.leg_posn)*[1;0]
    g_foot_pos(:,i)=subs(foot_pos(:,i),{phi_s psi_s},{robot.leg_angles(i,1)*pi/180,robot.leg_angles(i,2)*pi/180});
end

Vs=zeros(size(gCeff,1),size(gCeff,2),size(robot.leg_posn,1));
Ds=Vs;

for i=1:length(feet)
    [Vs(:,:,feet(i)),Ds(:,:,feet(i))]=eig(gCeff(:,:,feet(i)));
    eigers=diag(Ds(:,:,feet(i)))*20;
    [X,Y,Z]=ellipsoid(0,0,0,eigers(1),eigers(2),eigers(3));
    [X2,Y2,Z2]=surfrotate(X,Y,Z,Vs(:,:,feet(i)),g_foot_pos(1:3,feet(i)));
    plotSurf(X2,Y2,Z2,[0 0 1],0.5);
end



arrow_size=0.020;  %length of an arrow
ankle_dia=0.002;  %diameter of ankel marker
for i=1:length(feet)
    plot_arrow( g_foot_pos(1,feet(i)),g_foot_pos(2,feet(i)),g_foot_pos(1,feet(i))+arrow_size*gfRmod(1,2,feet(i)),g_foot_pos(2,feet(i))+arrow_size*gfRmod(2,2,feet(i)));
    [X,Y,Z]=sphere;
    X=X*ankle_dia;Y=Y*ankle_dia;Z=Z*ankle_dia;
    X=X+g_foot_pos(1,feet(i))+gPgf(1,i);
    Y=Y+g_foot_pos(2,feet(i))+gPgf(2,i);
    Z=Z+gPgf(3,i);
    surf(X,Y,Z,[],'FaceColor',[1,0,0],'EdgeColor','none');
end


    